/*****************************************************************************/
/*   18F2550 Application Demo for usage of MCHPUSB Bootloader                */
/*                                                                           */
/*   Author:   Christian Stadler   , spremembe Slavko Murko                  */
/*                                   IZPIS NA LCD DISPLEJ                    */
/*   Date:     18.08.2010            23.11.2011                              */
/*                                                                           */
/*                                                                           */
/*****************************************************************************/
#pragma case                     /* make compiler case sensitive */
#include <18F2550.h>          //nastavitve za na mikro
#device adc=10            //imamo 10 bitni ADC
#use delay(clock=48000000)  /* 20 MHz iz kvarca se preko PLL dvigne (HSPLL) na system clock  48 MHz */
/*----DODATEK PRI UPORABI BOOTLOADERJA-------------------------------------------------------------------------*/
#build (reset=0x800, interrupt=0x808)   //premik reset in inerrupt vektorjev zaradi prednaloenega Bootloaderja
#org 0, 0x7FF {}                        //Bootloader je naloen nna naslovih od 0 do 0x7FF,
                                        // zaetni naslov naega programa je lahko na 0x800
/*-------------------------------------------------------------------------------------------------------------*/


//  DEFINIRANI PINI KJER JE PRIKLJUEN LCD
#define LCD_DB4   PIN_B4
#define LCD_DB5   PIN_B5
#define LCD_DB6   PIN_B6
#define LCD_DB7   PIN_B7
#define LCD_RS    PIN_B2
#define LCD_E     PIN_B3
#define lcd_type 0        // 0=5x7, 1=5x10, 2=2 lines
#include "flex_lcd.c"

void main()
{
long st1;
float st2;
   lcd_init();  // Always call this first.

   lcd_putc("Pozdravljeni !");
   delay_ms(3000);
   lcd_putc("\r0123-abcdABCD蚞");  //po 10s izpis v prvo vrsto preko starega napisa
   delay_ms(3000);
   
   while(1)
   {
      for(st1=1;st1<=10;st1++)
      {
      st2=1.0/st1;   //obratna vrednost
      printf(lcd_putc,"\rst1=%2lu  st2=%03.2f",st1,st2);
      delay_ms(1000);
      }
   }

}
